#!/bin/bash
# script d'installation d'une iso sysrecuecd pour sambaedu-clonage

# téléchargement sysrescuecd : 

# wget https://cloud.sambaedu.org/iso.php?token=$token&iso=sysrecuecd
# pour le moment poser l'iso dans le dossier /var/sambaedu/unattended/install/os/iso

iso="systemrescuecd-6.0.3.iso"

wget -P /var/sambaedu/unattended/install/os/iso/ https://osdn.net/projects/systemrescuecd/storage/releases/6.0.3/$iso

[ -z "$iso" ] && echo "vous devez donner le nom de du fichier iso dans os/iso" && exit 1
[ -f /mnt/iso ] || mkdir /mnt/iso
mount -o loop  "/var/sambaedu/unattended/install/os/iso/$iso" /mnt/iso
mkdir -p /var/sambaedu/unattended/install/os/sysresccd/
cp  -a /mnt/iso/sysresccd/boot /var/sambaedu/unattended/install/os/sysresccd/
cp  -a /mnt/iso/sysresccd/x86_64 /var/sambaedu/unattended/install/os/sysresccd/
chown -R www-admin /var/sambaedu/unattended/install/os/sysresccd/
umount /mnt/iso
rm -fr /mnt/iso

